%define	oname	Ri-li

Summary:	a toy wood train kit game
Name:		ri-li
Version:	2.0.1
Release:	%mkrel 8
Source0:	http://surfnet.dl.sourceforge.net/sourceforge/ri-li/%{oname}-%{version}.tar.bz2
Patch0:		ri-li_makefile.in.patch
Patch1:		ri-li_makefile.am.patch
Patch2:		ri-li-2.0.1-gcc43.patch
License:	GPLv2 or GPLv3
Group:		Games/Arcade
URL:		http://www.ri-li.org
BuildRequires:	SDL-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	dos2unix
Provides:	Ri-li
Obsoletes:	Ri-li

%description
You drive a toy wood engine in many levels and you must
collect all the coaches to win. Full-featured, 8 languages: Arabic,
Chinese, English, French, German, Japanese, Russian, Spanish.
Colorful animated wood engine, 40 levels in this first version and 3 beautiful
musics and many sound effects. 

%prep
%setup -q -n %{oname}-%{version}
%patch0 -p0
%patch1 -p0
%patch2 -p0
dos2unix README COPYING AUTHORS NEWS COPYING.Music

%build
autoreconf
%configure2_5x	--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir}
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_gamesdatadir}/%{oname}/COPYING.Music


install -m644 data/Ri-li-icon-16x16.png -D %{buildroot}%{_miconsdir}/%{oname}.png
install -m644 data/Ri-li-icon-32x32.png -D %{buildroot}%{_iconsdir}/%{oname}.png
install -m644 data/Ri-li-icon-48x48.png -D %{buildroot}%{_liconsdir}/%{oname}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Ri-li
Comment=Ri-li arcade game
Exec=%{_gamesbindir}/Ri_li
Icon=%{_gamesdatadir}/%{oname}/%{oname}-icon-48x48.png
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF

%clean

%files
%defattr(-, root, root)
%doc README COPYING AUTHORS NEWS COPYING.Music
%{_gamesbindir}/Ri_li
%{_gamesdatadir}/%{oname}/levels.dat
%{_gamesdatadir}/%{oname}/sprites.dat
%{_gamesdatadir}/%{oname}/Ri-li-icon-*.png
%{_gamesdatadir}/%{oname}/*.ico
%{_gamesdatadir}/%{oname}/Sounds/*
#%{_gamesdatadir}/%{oname}/*.ebuild
%{_gamesdatadir}/%{oname}/language.*
%{_iconsdir}/%{oname}*.png
%{_miconsdir}/%{oname}*.png
%{_liconsdir}/%{oname}*.png
%{_datadir}/applications/*







%changelog

* Mon Jan 14 2013 umeabot <umeabot> 2.0.1-8.mga3
+ Revision: 380341
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Feb 05 2012 zezinho <zezinho> 2.0.1-7.mga2
+ Revision: 205002
- rebuild for MGA2

* Thu Mar 24 2011 dams <dams> 2.0.1-6.mga1
+ Revision: 76836
- Import and clean
- imported package ri-li

